Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

DriverInterface.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient;
8
16 interface DriverInterface
17 {
21 const AUTH_TYPE_BASIC = 'BASIC';
22
26 public function send();
27
33 public function setHost($host);
34
40 public function setResource($resource);
41
47 public function setMethod($method);
48
56 public function getStatusCode();
57
65 public function getStatusMessage();
66
76 public function getHeader($header);
77
83 public function setHeader($header, $value);
84
92 public function getHeaders();
93
99 public function setHeaders($headers);
100
108 public function getBody();
109
115 public function setBody($body);
116
124 public function setAuthentication($user, $password, $type = self::AUTH_TYPE_BASIC);
125 }
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
DriverInterface has the definition of the methods needed for our REST tests so Drivers need to implem...
Definition: DriverInterface.php:17
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setMethod
setMethod($method)
Set request method.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\AUTH_TYPE_BASIC
const AUTH_TYPE_BASIC
authentication types.
Definition: DriverInterface.php:21
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setBody
setBody($body)
Set request body.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\send
send()
Send the request.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\getHeader
getHeader($header)
Get response header.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setAuthentication
setAuthentication($user, $password, $type=self::AUTH_TYPE_BASIC)
Set authentication.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\getHeaders
getHeaders()
Get all response headers.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\getStatusMessage
getStatusMessage()
Get response status message.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\getStatusCode
getStatusCode()
Get response status code.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setHeaders
setHeaders($headers)
Set request headers.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\getBody
getBody()
Get response body.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setHost
setHost($host)
Set request host.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setResource
setResource($resource)
Set request resource url.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface\setHeader
setHeader($header, $value)
Set request header.
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient
Definition: BuzzDriver.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.